<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="Редактор должностей"
	description="Позволяет создавать, удалять, модифицировать должности"
	fileName="PosEditor.jar" className="org.mati.npc.components.ass.poseditor.PosEditor"
	version="8876" time="17.02.2009 01:04:42">

	<!-- INLINK -->
	<INLink name="InFaceComponent" description="Связь с компонентом контейнером"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" nullable="false">
	</INLink>

	<!-- OUTLINK -->
	<OUTLink name="OutDBServiceContainer" description="Связь с сервисом базы данных."
		interfaceName="org.mati.npc.components.interfaces.DBSerivceContainer"
		linksNumber="1" nullable="false">
	</OUTLink>

	<!-- ATTRIBUTES -->
	<Attribute name="PositionX" description="Координата левого верхнего угла по оси X"
		defaultValue="0"
		type="java.lang.Integer" nullable="false" />
	<Attribute name="PositionY" description="Координата левого верхнего угла по оси Y"
		defaultValue="0"
		type="java.lang.Integer" nullable="false" />
	<Attribute name="SizeWidth" description="Ширина" type="java.lang.Integer"
		defaultValue="800"
		nullable="false" />
	<Attribute name="SizeHeight" description="Высота" nullable="false"
		defaultValue="600"
		type="java.lang.Integer" />

</ClassComponent>
